Rai Blocklist Items - Batch Delete

Batch operation to delete blocklist items.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.CognitiveServices/accounts/{accountName}/raiBlocklists/{raiBlocklistName}/deleteRaiBlocklistItems?api-version=2025-06-01

URI Parameters

Name In Required Type Description
accountName
path True

string

minLength: 2
maxLength: 64
pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$

The name of Cognitive Services account.

raiBlocklistName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$

The name of the RaiBlocklist associated with the Cognitive Services Account

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
raiBlocklistItemsNames

string[]

List of RAI Blocklist Items Names.

Responses

Name Type Description
204 No Content

Added the blocklist Items successfully.

Other Status Codes

ErrorResponse

Error response describing why the operation failed.

Examples

DeleteRaiBlocklistItems

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/resourceGroupName/providers/Microsoft.CognitiveServices/accounts/accountName/raiBlocklists/raiBlocklistName/deleteRaiBlocklistItems?api-version=2025-06-01

[
  "myblocklistitem1",
  "myblocklistitem2"
]

Sample response

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.